Subject: [PATCH] serial console (drivers/serial/ip22zilog.c)

From: peter fuerst <[email-masked]>
Date: Fri, 25 Mar 2005 20:59:59 +0100 (CET)

Hi,

here's a patch to make serial console work on IP2X machines.  I submitted
it already on Dec 20, Kaj-Michael Lang submitted it again on Feb 14, but
somehow it didn't find its way into CVS yet.  Please apply. Thank you.

with best regards

pf

--- snip ---------------------------------------------------------------

diff -Nau -b -B drivers/serial/ip22zilog.c.1.16 drivers/serial/ip22zilog.c
--- drivers/serial/ip22zilog.c.1.16	Fri Dec  3 06:07:38 2004
+++ drivers/serial/ip22zilog.c	Sat Feb 12 15:14:48 2005
@@ -881,6 +881,7 @@
 	up->cflag = termios->c_cflag;
 
 	ip22zilog_maybe_update_regs(up, ZILOG_CHANNEL_FROM_PORT(port));
+	uart_update_timeout(port, termios->c_cflag, baud);
 
 	spin_unlock_irqrestore(&up->port.lock, flags);
 }
@@ -1047,6 +1048,8 @@
 	}
 
 	con->cflag = cflag | CS8;			/* 8N1 */
+
+	uart_update_timeout(&ip22zilog_port_table[con->index].port, cflag, baud);
 }
 
 static int __init ip22zilog_console_setup(struct console *con, char *options)